REWINDDIR(3)

NAME
rewinddir - reset directory stream

SYNOPSIS
#include <sys/types.h>

#include <dirent.h>

void rewinddir(DIR *dirp);

DESCRIPTION
The rewinddir() function resets the position of the directory stream dirp to the beginning of the directory.

RETURN VALUE
The rewinddir() function returns no value.

ATTRIBUTES

  Multithreading (see pthreads(7))
The rewinddir() function is thread-safe.

CONFORMING TO
SVr4, 4.3BSD, POSIX.1-2001.

SEE ALSO
closedir(3), opendir(3), readdir(3), scandir(3), seekdir(3), telldir(3)

COLOPHON
This page is part of release 3.57 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.